Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jmeter.report.writers
Class HTMLReportWriter

    java.lang.Object
      org.apache.jmeter.testelement.AbstractTestElement
          org.apache.jmeter.report.writers.AbstractReportWriter
              org.apache.jmeter.report.writers.HTMLReportWriter

All Implemented Interfaces:
  Serializable, Cloneable, ReportWriter, TestElement

    public class HTMLReportWriter

extends AbstractReportWriter

HTMLReportWriter is a basic report writer that produces HTML pages. It contains all the necessary helper method to write out the report.

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.jmeter.report.writers.AbstractReportWriter
`TARGET_DIRECTORY`

Fields inherited from interface org.apache.jmeter.testelement.TestElement
`COMMENTS, ENABLED, GUI_CLASS, NAME, TEST_CLASS`

Constructor Summary
`HTMLReportWriter()`

Method Summary
`ReportSummary` | `writeReport(TestElement element)` Subclasses need to implement this method and provide the necessary logic to produce a ReportSummary object and write the report

Methods inherited from class org.apache.jmeter.report.writers.AbstractReportWriter
`archiveDirectory, getDayString, getTargetDirectory, makeDirectory, setTargetDirectory`

Methods inherited from class org.apache.jmeter.testelement.AbstractTestElement
`addProperty, addTestElement, canRemove, clear, clearTemporary, clone, emptyTemporary, equals, getComment, getName, getProperty, getPropertyAsBoolean, getPropertyAsBoolean, getPropertyAsDouble, getPropertyAsFloat, getPropertyAsInt, getPropertyAsInt, getPropertyAsLong, getPropertyAsLong, getPropertyAsString, getPropertyAsString, getThreadContext, getThreadName, hashCode, isEnabled, isRunningVersion, isTemporary, logProperties, mergeIn, propertyIterator, recoverRunningVersion, removeProperty, setComment, setName, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setRunningVersion, setTemporary, setThreadContext, setThreadName, traverse, traverseCollection, traverseMap, traverseProperty`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HTMLReportWriter

    public HTMLReportWriter()

Method Detail

### writeReport

    public ReportSummary writeReport(TestElement element)

  Description copied from class: `AbstractReportWriter`
  Subclasses need to implement this method and provide the necessary logic to produce a ReportSummary object and write the report

  Specified by:
    `writeReport` in interface `ReportWriter`
  Specified by:
    `writeReport` in class `AbstractReportWriter`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2010 Apache Software Foundation. All Rights Reserved.